Subject: Re: [PATCH net-next] drivers/net/bonding: User strscpy() to copy device name

From: David Laight <[email-masked]>
Date: Mon, 8 Jun 2026 22:40:20 +0100

On Mon, 8 Jun 2026 14:18:22 -0700
Jakub Kicinski <[email-masked]> wrote:

> On Mon, 8 Jun 2026 22:07:10 +0100 David Laight wrote:
> > On Mon, 8 Jun 2026 13:23:11 -0700
> > Jakub Kicinski <[email-masked]> wrote:
> >   
> > > On Sat,  6 Jun 2026 21:26:07 +0100 [email-masked] wrote:    
> > > > From: David Laight <[email-masked]>      
> > > 
> > > Could you be so very kind to read the automated message you received
> > > when you posted this?    
> > 
> > Looks like I managed to send two patches for files in the same directory
> > that contained equivalent fixes.
> > 
> > I think I should be able to merge the patch emails into one and send
> > as a single V2 patch that contains both changes.  
> 
> Not what I asked you.
> 
> You seem to be following the ML yet you excreted a bunch of incorrectly
> formatted and likely useless patches. Read the email. Start with one
> or two submissions at a time.

I got an email containing:

	It looks like you reposted this series less than 24 hours after
	the previous version. Please allow at least 24 hours between
	versions so that reviewers across all time zones have a chance
	to look at the previous version.

That happened because patches 0013 and 0014 (of 0089) ended up with the
same subject line when I generated one patch for each affected file.

Pretty much all the patches replace strcpy() with either strscpy()
or (when strlen() has already been done) memcpy().

-- David